Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.gesture
Class GestureEvent<H extends EventHandler>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.google.gwt.event.dom.client.DomEvent<H>
              com.maryanovsky.gwtutils.client.iphone.ui.gesture.GestureEvent<H>

All Implemented Interfaces:
  HasNativeEvent

Direct Known Subclasses:
  GestureChangeEvent, GestureEndEvent, GestureStartEvent

    public abstract class GestureEvent<H extends EventHandler>

extends DomEvent<H>

The base class for gesture events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`GestureEvent()`

Method Summary
`NativeGestureEvent` | `getNativeGestureEvent()` Returns the underlying native gesture event.
`double` | `getRotation()` Returns the rotation induced by this event, in degrees, where clockwise rotation is represented by a positive value and counter-clockwise by a negative value.
`double` | `getScale()` Returns the scale change induced by this event.
`static void` | `sinkAllGestureEvents(UIObject widget)` Sinks all gesture events for the specified `UIObject`.
`static void` | `unsinkAllGestureEvents(UIObject widget)` Stops sinking all gesture events for the specified UIO

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getAssociatedType, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GestureEvent

    public GestureEvent()

Method Detail

### getNativeGestureEvent

    public NativeGestureEvent getNativeGestureEvent()

  Returns the underlying native gesture event.

### getRotation

    public final double getRotation()

  Returns the rotation induced by this event, in degrees, where clockwise rotation is represented by a positive value and counter-clockwise by a negative value.

### getScale

    public final double getScale()

  Returns the scale change induced by this event. The value returned represents the distance between the two finger, as a fraction of the initial distance. This way, a value greater than 1.0 represents a zoom-in gesture, while a value smaller than 1.0, a zoom-out gesture.

### sinkAllGestureEvents

    public static void sinkAllGestureEvents(UIObject widget)

  Sinks all gesture events for the specified `UIObject`.

### unsinkAllGestureEvents

    public static void unsinkAllGestureEvents(UIObject widget)

  Stops sinking all gesture events for the specified UIO

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD